### Method

# Ide OmniBarAddin unload

#### Declaration

    void
    ide_omni_bar_addin_unload (
      IdeOmniBarAddin* self,
      IdeOmniBar* omni_bar
    )

#### Description

Requests that the `IdeOmniBarAddin` shutdown, possibly modifying `omni_bar` as necessary to return it to the original state before the addin was loaded.

Available since: | 3.32

#### Parameters

`omni_bar` | `IdeOmniBar`
| An `IdeOmniBar`.
| The data is owned by the caller of the function.